function dYfuncvecdw = ODEfun(w,Yfuncvec); 
x= Yfuncvec(1);
P= Yfuncvec(2);
T= Yfuncvec(3);
% Explicit equations
fao = .188;
visc = .090;
Ta = 1264.67;
deltah = -42471-1.563*(T-1260)+.00136*(T^2-1260^2)-2.459*10^(-7)*(T^3-1260^3);
sum = 57.23+.014*T-1.94*10^(-6)*T^2;
dcp = -1.5625+2.72*10^(-3)*T-7.38*10^(-7)*T^2;
k = 3600*exp(-176008/T-(110.1*log(T))+912.8);
thetaso = 0;
Po = 2;
Pao = .22;
thetao = .91;
eps = -.055;
R = 1.987;
Kp = exp(42311/R/T-11.24);
if (x<=.05)
     ra =(-k*(.848-.012/(Kp^2)));
else
     ra=(-k*((1-x)/(thetaso+x))^.5*(P/Po*Pao*((thetao-.5*x)/(1+eps*x))-((thetaso+x)/(1-x))^2/(Kp^2)));
end    
% Differential equations
dxdw = -(ra)/fao;
dPdw = (-1.12*10^(-8)*(1-.055*x)*T)*(5500*visc+2288)/P;
dTdw = (5.11*(Ta-T)+(-ra)*(-deltah))/(fao*(sum+x*dcp));
dYfuncvecdw=[dxdw;dPdw;dTdw];


